System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

By default, the visual designer of a tool such as Visual Studio, creates an empty tag. This is a tag representing a control in its default state, when the control is dropped from the toolbox of a visual designer onto the design surface. To specify initial default values, a control can make use of this attribute. You can use this attribute to customize the initial HTML content that is placed in the designer when the control is dragged from the toolbox onto the form.

Specifies the default tag generated for a custom control when it is dragged from a toolbox in a tool such as Microsoft Visual Studio.

- Constructor
  To be added

  Initializes a new instance of the class.

  The string to be set as the .
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the string representing the initial values of the control's property, which is used in a visual designer for creating an instance of the control.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.ToolboxDataAttribute To be added

  Represents the default value for a custom control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  The method first compares the objects for equality. If the comparison returns false, the method then compares the data of the object to the data of the given object after first testing the given object to make sure that the given object is not null and is also typed as object.

  Tests whether the object is equal to the given object.

  true, if the object is equal to the given object; otherwise, false.

  The object to compare to. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code of the custom control.

  A 32-bit signed integer representing the hash code.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The default is an empty string ("").

  Tests whether the object contains the default value for the property.

  true, if the contains the default value for the property; otherwise, false.

  1.0.5000.0
  2.0.0.0